# Generated by Django 4.2.23 on 2025-06-26 22:59

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import goats_tom.models.dragons_run


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('tom_dataproducts', '0014_alter_reduceddatum_timestamp'),
        ('tom_observations', '0012_auto_20210205_1819'),
    ]

    operations = [
        migrations.CreateModel(
            name='BaseRecipe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(editable=False, max_length=255)),
                ('function_definition', models.TextField(editable=False)),
            ],
        ),
        migrations.CreateModel(
            name='DRAGONSRecipe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('function_definition', models.TextField(blank=True, help_text='Function definition by the user.', null=True)),
                ('uparms', models.TextField(blank=True, help_text='The uparms to apply to the recipe.', null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('observation_type', models.CharField(max_length=50)),
                ('object_name', models.CharField(blank=True, max_length=100, null=True)),
                ('is_default', models.BooleanField(default=False, editable=False)),
                ('observation_class', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='RecipesModule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(editable=False, max_length=100)),
                ('version', models.CharField(editable=False, max_length=30)),
                ('instrument', models.CharField(editable=False, max_length=50)),
            ],
            options={
                'unique_together': {('name', 'version', 'instrument')},
            },
        ),
        migrations.CreateModel(
            name='GPPLogin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.CharField(max_length=128)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='%(class)s', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='GOALogin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(max_length=100)),
                ('password', models.CharField(max_length=128)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='%(class)s', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DRAGONSRun',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('run_id', models.CharField(blank=True, max_length=255)),
                ('config_filename', models.CharField(default='dragonsrc', max_length=30)),
                ('output_directory', models.CharField(blank=True, editable=False, max_length=255)),
                ('cal_manager_filename', models.CharField(default='cal_manager.db', max_length=30)),
                ('log_filename', models.CharField(default='log.log', editable=False, max_length=30)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('version', models.CharField(default=goats_tom.models.dragons_run.get_dragons_version, editable=False, max_length=30)),
                ('observation_record', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='dragons_runs', to='tom_observations.observationrecord')),
            ],
        ),
        migrations.CreateModel(
            name='DRAGONSReduce',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('start_time', models.DateTimeField(blank=True, editable=False, null=True)),
                ('end_time', models.DateTimeField(blank=True, editable=False, null=True)),
                ('status', models.CharField(choices=[('created', 'Created'), ('queued', 'Queued'), ('initializing', 'Initializing'), ('running', 'Running'), ('done', 'Done'), ('error', 'Error'), ('canceled', 'Canceled')], default='created', max_length=13)),
                ('task_id', models.CharField(blank=True, editable=False, max_length=255, null=True)),
                ('recipe', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='reductions', to='goats_tom.dragonsrecipe')),
            ],
        ),
        migrations.AddField(
            model_name='dragonsrecipe',
            name='dragons_run',
            field=models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='modified_recipes', to='goats_tom.dragonsrun'),
        ),
        migrations.AddField(
            model_name='dragonsrecipe',
            name='recipe',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='modifications', to='goats_tom.baserecipe'),
        ),
        migrations.CreateModel(
            name='DRAGONSFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('modified', models.DateTimeField(auto_now=True)),
                ('observation_type', models.CharField(blank=True, max_length=50, null=True)),
                ('object_name', models.CharField(blank=True, max_length=100, null=True)),
                ('astrodata_descriptors', models.JSONField(default=dict)),
                ('url', models.CharField(max_length=255)),
                ('product_id', models.CharField(max_length=100)),
                ('observation_class', models.CharField(max_length=50)),
                ('data_product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tom_dataproducts.dataproduct')),
                ('dragons_run', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='dragons_run_files', to='goats_tom.dragonsrun')),
                ('recipes_module', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='files', to='goats_tom.recipesmodule')),
            ],
        ),
        migrations.CreateModel(
            name='Download',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unique_id', models.CharField(max_length=255)),
                ('observation_id', models.CharField(max_length=255)),
                ('status', models.CharField(default='Running', max_length=50)),
                ('done', models.BooleanField(default=False)),
                ('error', models.BooleanField(default=False)),
                ('start_time', models.DateTimeField(auto_now_add=True)),
                ('end_time', models.DateTimeField(blank=True, null=True)),
                ('message', models.TextField(blank=True, null=True)),
                ('num_files_downloaded', models.IntegerField(blank=True, null=True)),
                ('num_files_omitted', models.IntegerField(blank=True, null=True)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='DataProductMetadata',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('processed', models.BooleanField(default=False)),
                ('dataproduct', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='metadata', to='tom_dataproducts.dataproduct')),
            ],
        ),
        migrations.AddField(
            model_name='baserecipe',
            name='recipes_module',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='base_recipes', to='goats_tom.recipesmodule'),
        ),
        migrations.CreateModel(
            name='AstroDatalabLogin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(max_length=100)),
                ('password', models.CharField(max_length=128)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='%(class)s', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddIndex(
            model_name='dragonsrun',
            index=models.Index(fields=['run_id'], name='run_id_idx'),
        ),
        migrations.AddConstraint(
            model_name='dragonsrun',
            constraint=models.UniqueConstraint(fields=('observation_record', 'run_id'), name='unique_observation_run_id'),
        ),
        migrations.AlterUniqueTogether(
            name='dragonsrecipe',
            unique_together={('recipe', 'dragons_run', 'observation_type', 'object_name', 'observation_class')},
        ),
        migrations.AlterUniqueTogether(
            name='dragonsfile',
            unique_together={('dragons_run', 'data_product')},
        ),
        migrations.AlterUniqueTogether(
            name='baserecipe',
            unique_together={('name', 'recipes_module')},
        ),
    ]
