# GOATS Project CSS Customization

This document explains how the custom CSS styles for the GOATS project were created. These styles override the default Bootstrap settings and can be used as a starting point for further customization.

## Overview

The GOATS project required a unique appearance that couldn't be achieved using Bootstrap's default settings. Therefore, we used the [Bootstrap Build website](https://bootstrap.build/app) to create custom CSS files that can be tailored to the specific requirements of the project.

## Process

1. **Access Bootstrap Build**: Navigate to [Bootstrap Build website](https://bootstrap.build/app) where you can customize Bootstrap's variables and settings.

2. **Choose Variables**: Select the desired colors, fonts, spacing, and other design elements. For the GOATS project, specific colors were chosen to match the project's theme.

3. **Download Custom CSS**: After finalizing the settings, download the generated custom CSS files.

4. **Integrate with Project**: Replace or override the default Bootstrap CSS with the customized files in the GOATS project. This will ensure that the design remains consistent across the entire application.
